=== modified file 'bzrlib/msgeditor.py'
--- bzrlib/msgeditor.py	2008-08-21 16:45:47 +0000
+++ bzrlib/msgeditor.py	2008-08-21 16:58:21 +0000
@@ -305,5 +305,5 @@
     """
     start_message = None
     for hook in hooks['commit_message_template']:
-        start_message = hook(start_message)
+        start_message = hook(commit, start_message)
     return start_message

=== modified file 'bzrlib/tests/test_msgeditor.py'
--- bzrlib/tests/test_msgeditor.py	2008-06-06 13:30:30 +0000
+++ bzrlib/tests/test_msgeditor.py	2008-08-21 16:58:21 +0000
@@ -22,6 +22,7 @@
 
 import bzrlib
 from bzrlib import (
+    commit,
     errors,
     msgeditor,
     osutils,
@@ -292,3 +293,18 @@
                               msgeditor.edit_commit_message, '')
         finally:
             osutils.set_or_unset_env('LANG', old_env)
+
+    def test_generate_commit_message_template_no_hooks(self):
+        commit_obj = commit.Commit()
+        self.assertIs(None, 
+            msgeditor.generate_commit_message_template(commit_obj))
+
+    def test_generate_commit_message_template_hook(self):
+        def restoreDefaults():
+            msgeditor.hooks['commit_message_template'] = []
+        self.addCleanup(restoreDefaults)
+        msgeditor.hooks.install_named_hook("commit_message_template",
+                lambda commit_obj, msg: "save me some typing\n", None)
+        commit_obj = commit.Commit()
+        self.assertEquals("save me some typing\n", 
+            msgeditor.generate_commit_message_template(commit_obj))

